package com.ruoyi.system.app.classmanager.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.app.classmanager.service.AppClassManagerService;
import com.ruoyi.system.service.ISysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static com.ruoyi.common.core.web.domain.AjaxResult.success;

@RestController
@RequestMapping("AppClassManagerController")
public class AppClassManagerController {

    @Autowired
    private ISysDeptService deptService;

    @Resource
    private AppClassManagerService appClassManagerService;

    @RequestMapping("list")
    public AjaxResult list(SysDept dept) {
        List<SysDept> depts = deptService.selectDeptList(dept);
        return success(depts);
    }

    @RequestMapping("add")
    public AjaxResult add(@RequestBody SysDept dept){
        return appClassManagerService.addClass(dept);
    }

    @RequestMapping("update")
    public AjaxResult update(@RequestBody SysDept dept){
        return appClassManagerService.update(dept);
    }

}
