package com.ruoyi.system.app.classmanager.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.app.classmanager.service.AppClassManagerService;
import com.ruoyi.system.mapper.SysDeptMapper;
import com.ruoyi.system.service.ISysDeptService;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppClassManagerServiceImpl implements AppClassManagerService {

    @Resource
    ISysDeptService iSysDeptService;

    @Resource
    SysDeptMapper sysDeptMapper;

    @Override
    public AjaxResult addClass(SysDept dept) {
        if (!iSysDeptService.checkDeptNameUnique(dept))
        {
            return AjaxResult.error("新增部门'" + dept.getDeptName() + "'失败，部门名称已存在");
        }
        dept.setCreateBy(SecurityUtils.getUsername());
        return AjaxResult.success(iSysDeptService.insertDept(dept));
    }

    @Override
    public AjaxResult update(SysDept sysDept) {
        sysDeptMapper.updateDept(sysDept);
        return AjaxResult.success();
    }
}
