package com.ruoyi.system.app.lessionmanager.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.app.lessionmanager.service.AppLessionManagerService;
import com.ruoyi.system.domain.TLession;
import com.ruoyi.system.mapper.SysDeptMapper;
import com.ruoyi.system.mapper.TLessionMapper;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppLessionManagerServiceImpl implements AppLessionManagerService {

    @Resource
    TLessionMapper tLessionMapper;

    @Resource
    SysDeptMapper sysDeptMapper;

    @Override
    public AjaxResult addLession(@RequestBody TLession tLession) {

        SysDept sysDept = sysDeptMapper.selectDeptById(tLession.getDeptId());

        tLession.setId(UUID.fastUUID().toString());
        tLession.setLessionState("lession_state_1");
        tLession.setDeptName(sysDept.getDeptName());
        tLessionMapper.insertTLession(tLession);

        return AjaxResult.success();
    }

    @Override
    public AjaxResult editLession(TLession tLession) {
        if(tLession.getLessionState().equals("lession_state_1")){
            tLession.setLessionState("lession_state_2");
        }else if(tLession.getLessionState().equals("lession_state_2")){
            tLession.setLessionState("lession_state_1");
        }
        tLessionMapper.updateTLession(tLession);
        return AjaxResult.success();
    }
}
