package com.ruoyi.system.app.main.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.system.app.main.domain.AppSignVO;
import com.ruoyi.system.app.main.service.AppMainService;
import com.ruoyi.system.domain.TLession;
import com.ruoyi.system.domain.TSignin;
import com.ruoyi.system.mapper.TLessionMapper;
import com.ruoyi.system.mapper.TSigninMapper;
import com.ruoyi.system.utils.CaculateDistance;
import org.aspectj.weaver.loadtime.Aj;
import org.gavaghan.geodesy.Ellipsoid;
import org.gavaghan.geodesy.GlobalCoordinates;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Service
public class AppMainServiceImpl implements AppMainService {

    @Resource
    TLessionMapper tLessionMapper;

    @Resource
    TSigninMapper tSigninMapper;

    @Override
    public AjaxResult signin(AppSignVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        //找出当前人所在的班级
        LoginUser loginUser = SecurityUtils.getLoginUser();
        Long deptId = loginUser.getSysUser().getDeptId();
        //找到本部门 可以用这个码 状态正常的课程
        TLession tLession = new TLession();
        tLession.setLessionState("lession_state_1");
        tLession.setDeptId(deptId);
        tLession.setCheckCode(vo.getCheckCode());
        List<TLession> lessions = tLessionMapper.selectTLessionList(tLession);
        //计算考勤范围
        SysDept sysDept = loginUser.getSysUser().getDept();
        String lat = sysDept.getLat() != null ? sysDept.getLat() : "0";
        String lng = sysDept.getLng() != null ? sysDept.getLng() : "0";
        Integer radius = sysDept.getRadius();
        GlobalCoordinates source = new GlobalCoordinates(Double.parseDouble(lat), Double.parseDouble(lng));
        vo.setLat(vo.getLat() != null ? vo.getLat() : "0");
        vo.setLng(vo.getLng() != null ? vo.getLng() : "0");
        GlobalCoordinates target = new GlobalCoordinates(Double.parseDouble(vo.getLat()), Double.parseDouble(vo.getLng()));
        double meter = CaculateDistance.getDistanceMeter(source, target, Ellipsoid.WGS84);
        int m = (int)meter;

        if (lessions.size() != 1) {
            ajaxResult.put("msg","课签名课程状态或签名码错误");
            return ajaxResult;
        }
        if (!loginUser.getSysUser().getDeviceInfo().equals(vo.getDeviceInfo())) {
            ajaxResult.put("msg","设备与注册时不一致");
            return ajaxResult;
        }
//        if (m > radius) {
//            ajaxResult.put("msg","超出考勤范围");
//            return ajaxResult;
//        }

        //查他是否签过
        TLession tls = lessions.get(0);
        TSignin tSignin = new TSignin();
        tSignin.setUserId(loginUser.getUserid());
        tSignin.setLessionId(tls.getId());
        tSignin.setDeptId(deptId);
        List<TSignin> sign = tSigninMapper.selectTSigninList(tSignin);
        if (sign.size() > 0) {
            ajaxResult.put("msg","已经签到完成");
            ajaxResult.put("meter",m);
            return ajaxResult;
        } else {
            tSignin.setId(UUID.fastUUID().toString());
            tSignin.setUserName(loginUser.getUsername());
            tSignin.setDeptName(loginUser.getSysUser().getDept().getDeptName());
            tSignin.setLessionName(tls.getLessionName());
            tSignin.setSignTime(new Date());
            tSignin.setNickName(loginUser.getSysUser().getNickName());
            tSigninMapper.insertTSignin(tSignin);
        }
        ajaxResult.put("msg","签到成功");
        return ajaxResult;
    }

    @Override
    public AjaxResult init() {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("loginUser", loginUser);
        return ajaxResult;
    }
}
