package com.ruoyi.system.app.my.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.system.app.my.domain.AppMyClassRebindVO;
import com.ruoyi.system.app.my.service.AppMyClassService;
import com.ruoyi.system.mapper.SysDeptMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppMyClassServiceImpl implements AppMyClassService {

    @Resource
    SysUserMapper sysUserMapper;

    @Resource
    SysDeptMapper sysDeptMapper;

    @Override
    public AjaxResult init() {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("loginUser",loginUser);
        return ajaxResult;
    }

    @Override
    public AjaxResult rebind(AppMyClassRebindVO vo) {
        SysDept sysDept = new SysDept();
        sysDept.setDeptCode(vo.getDeptCode());
        List<SysDept> dept_list = sysDeptMapper.selectDeptList(sysDept);
        if(dept_list.size() != 1){
            return AjaxResult.error("班级码错误");
        }else{
            LoginUser loginUser = SecurityUtils.getLoginUser();
            SysUser sysUser = new SysUser();
            sysUser.setUserId(loginUser.getUserid());
            sysUser.setDeptId(dept_list.get(0).getDeptId());
            sysUser.setDeviceInfo(vo.getDeviceInfo());
            sysUserMapper.updateUser(sysUser);
            return AjaxResult.success("更换班级成功");
        }

    }
}
