package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TSignin;

/**
 * 签到Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-06
 */
public interface TSigninMapper 
{
    /**
     * 查询签到
     * 
     * @param id 签到主键
     * @return 签到
     */
    public TSignin selectTSigninById(String id);

    /**
     * 查询签到列表
     * 
     * @param tSignin 签到
     * @return 签到集合
     */
    public List<TSignin> selectTSigninList(TSignin tSignin);

    /**
     * 新增签到
     * 
     * @param tSignin 签到
     * @return 结果
     */
    public int insertTSignin(TSignin tSignin);

    /**
     * 修改签到
     * 
     * @param tSignin 签到
     * @return 结果
     */
    public int updateTSignin(TSignin tSignin);

    /**
     * 删除签到
     * 
     * @param id 签到主键
     * @return 结果
     */
    public int deleteTSigninById(String id);

    /**
     * 批量删除签到
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSigninByIds(String[] ids);
}
