package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TDeptResourceMap;

/**
 * 班级资源映射Service接口
 * 
 * @author ruoyi
 * @date 2024-10-23
 */
public interface ITDeptResourceMapService 
{
    /**
     * 查询班级资源映射
     * 
     * @param id 班级资源映射主键
     * @return 班级资源映射
     */
    public TDeptResourceMap selectTDeptResourceMapById(String id);

    /**
     * 查询班级资源映射列表
     * 
     * @param tDeptResourceMap 班级资源映射
     * @return 班级资源映射集合
     */
    public List<TDeptResourceMap> selectTDeptResourceMapList(TDeptResourceMap tDeptResourceMap);

    /**
     * 新增班级资源映射
     * 
     * @param tDeptResourceMap 班级资源映射
     * @return 结果
     */
    public int insertTDeptResourceMap(TDeptResourceMap tDeptResourceMap);

    public int insertTDeptResourceMapByResourceIds(TDeptResourceMap tDeptResourceMap);

    /**
     * 修改班级资源映射
     * 
     * @param tDeptResourceMap 班级资源映射
     * @return 结果
     */
    public int updateTDeptResourceMap(TDeptResourceMap tDeptResourceMap);

    /**
     * 批量删除班级资源映射
     * 
     * @param ids 需要删除的班级资源映射主键集合
     * @return 结果
     */
    public int deleteTDeptResourceMapByIds(String[] ids);

    /**
     * 删除班级资源映射信息
     * 
     * @param id 班级资源映射主键
     * @return 结果
     */
    public int deleteTDeptResourceMapById(String id);
}
