package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.common.core.utils.uuid.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TLessionMapper;
import com.ruoyi.system.domain.TLession;
import com.ruoyi.system.service.ITLessionService;

/**
 * 可成信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-06
 */
@Service
public class TLessionServiceImpl implements ITLessionService 
{
    @Autowired
    private TLessionMapper tLessionMapper;

    /**
     * 查询可成信息
     * 
     * @param id 可成信息主键
     * @return 可成信息
     */
    @Override
    public TLession selectTLessionById(String id)
    {
        return tLessionMapper.selectTLessionById(id);
    }

    /**
     * 查询可成信息列表
     * 
     * @param tLession 可成信息
     * @return 可成信息
     */
    @Override
    public List<TLession> selectTLessionList(TLession tLession)
    {
        return tLessionMapper.selectTLessionList(tLession);
    }

    /**
     * 新增可成信息
     * 
     * @param tLession 可成信息
     * @return 结果
     */
    @Override
    public int insertTLession(TLession tLession)
    {
        tLession.setId(UUID.fastUUID().toString());
        return tLessionMapper.insertTLession(tLession);
    }

    /**
     * 修改可成信息
     * 
     * @param tLession 可成信息
     * @return 结果
     */
    @Override
    public int updateTLession(TLession tLession)
    {
        return tLessionMapper.updateTLession(tLession);
    }

    /**
     * 批量删除可成信息
     * 
     * @param ids 需要删除的可成信息主键
     * @return 结果
     */
    @Override
    public int deleteTLessionByIds(String[] ids)
    {
        return tLessionMapper.deleteTLessionByIds(ids);
    }

    /**
     * 删除可成信息信息
     * 
     * @param id 可成信息主键
     * @return 结果
     */
    @Override
    public int deleteTLessionById(String id)
    {
        return tLessionMapper.deleteTLessionById(id);
    }
}
