package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TSigninMapper;
import com.ruoyi.system.domain.TSignin;
import com.ruoyi.system.service.ITSigninService;

/**
 * 签到Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-06
 */
@Service
public class TSigninServiceImpl implements ITSigninService 
{
    @Autowired
    private TSigninMapper tSigninMapper;

    /**
     * 查询签到
     * 
     * @param id 签到主键
     * @return 签到
     */
    @Override
    public TSignin selectTSigninById(String id)
    {
        return tSigninMapper.selectTSigninById(id);
    }

    /**
     * 查询签到列表
     * 
     * @param tSignin 签到
     * @return 签到
     */
    @Override
    public List<TSignin> selectTSigninList(TSignin tSignin)
    {
        return tSigninMapper.selectTSigninList(tSignin);
    }

    /**
     * 新增签到
     * 
     * @param tSignin 签到
     * @return 结果
     */
    @Override
    public int insertTSignin(TSignin tSignin)
    {
        return tSigninMapper.insertTSignin(tSignin);
    }

    /**
     * 修改签到
     * 
     * @param tSignin 签到
     * @return 结果
     */
    @Override
    public int updateTSignin(TSignin tSignin)
    {
        return tSigninMapper.updateTSignin(tSignin);
    }

    /**
     * 批量删除签到
     * 
     * @param ids 需要删除的签到主键
     * @return 结果
     */
    @Override
    public int deleteTSigninByIds(String[] ids)
    {
        return tSigninMapper.deleteTSigninByIds(ids);
    }

    /**
     * 删除签到信息
     * 
     * @param id 签到主键
     * @return 结果
     */
    @Override
    public int deleteTSigninById(String id)
    {
        return tSigninMapper.deleteTSigninById(id);
    }
}
