package com.ruoyi.system.utils;

import org.gavaghan.geodesy.Ellipsoid;
import org.gavaghan.geodesy.GeodeticCalculator;
import org.gavaghan.geodesy.GeodeticCurve;
import org.gavaghan.geodesy.GlobalCoordinates;
public class CaculateDistance {
    public static void main(String[] args) {

        GlobalCoordinates source = new GlobalCoordinates(31.258934000000, 121.595511000000);
        GlobalCoordinates target = new GlobalCoordinates(31.235124000000, 121.530746000000);

        double meter1 = getDistanceMeter(source, target, Ellipsoid.Sphere);
        double meter2 = getDistanceMeter(source, target, Ellipsoid.WGS84);
        System.out.println("Sphere 坐标系计算结果：" + meter1 + "米");
        System.out.println("WGS84  坐标系计算结果：" + meter2 + "米");
    }

    /**
     * 计算距离
     *
     * @param from
     * @param to
     * @param ellipsoid
     * @return
     */
    public static double getDistanceMeter(GlobalCoordinates from, GlobalCoordinates to, Ellipsoid ellipsoid) {
        // 经纬度计算距离
        GeodeticCurve geoCurve = new GeodeticCalculator().calculateGeodeticCurve(ellipsoid, from, to);
        return geoCurve.getEllipsoidalDistance();
    }
}
